Nom du paquet
openjpa
Date
2013-10-07
Advisory ID
MDVSA-2013:246
Affected versions
MBS1 x86_64

Problem description

Updated openjpa packages fix security vulnerability:

The BrokerFactory functionality in Apache OpenJPA before 2.2.2
creates local executable JSP files containing logging trace data
produced during deserialization of certain crafted OpenJPA objects,
which makes it easier for remote attackers to execute arbitrary code
by creating a serialized object and leveraging improperly secured
server programs (CVE-2013-1768).

Updated packages

MBS1 x86_64

 9cad50cd261e06567f36f4269a03e5a8  mbs1/x86_64/openjpa-2.2.0-3.1.mbs1.noarch.rpm
 530603ff09c50fc50b46bfb951115247  mbs1/x86_64/openjpa-javadoc-2.2.0-3.1.mbs1.noarch.rpm
 721d81407709109dd256e9c8c67f7de2  mbs1/x86_64/openjpa-tools-2.2.0-3.1.mbs1.noarch.rpm 
 2d38f7070e420d94063ec97977797783  mbs1/SRPMS/openjpa-2.2.0-3.1.mbs1.src.rpm

References